Get listing transaction status
GET
/api/v2/listing/status/{transactionId}
Gets the current status of a submitted transaction.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” transactionId
required
string format: uuid
The transaction ID
Responses
Section titled “ Responses ”Transaction status information
Current status of a submitted transaction
object
transactionId
string
Example
3fa85f64-5717-4562-b3fc-2c963f66afa6 stockNumber
string
Example
C2026 listingId
integer
Example
1234567 branch
string
Example
Christchurch status
Detailed state of the transaction. See documentation for definitions.
string
Example
Succeeded errorMessage
string
createdDateUtc
string format: date-time
Example
2026-04-14T05:22:00Z modifiedDateUtc
string format: date-time
Example
2026-04-14T05:23:00ZTransaction not found